Host Pools - Delete

Remove a host pool.

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DesktopVirtualization/hostPools/{hostPoolName}?api-version=2025-10-10
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DesktopVirtualization/hostPools/{hostPoolName}?api-version=2025-10-10&force={force}

URI Parameters

Name In Required Type Description
hostPoolName
path True

string

minLength: 3
maxLength: 64
pattern: ^[A-Za-z0-9@.\-_ ]*$

The name of the host pool within the specified resource group

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

force
query

boolean

Force flag to delete sessionHost.

Responses

Name Type Description
200 OK

Successfully removed host pool.

204 No Content

Host pool does not exist.

Other Status Codes

CloudError

Automation error response describing why the operation failed.

Examples

HostPool_Delete

Sample request

DELETE https://management.azure.com/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostPools/hostPool1?api-version=2025-10-10&force=True

Sample response

Definitions

Name Description
CloudError

Cloud error object.

CloudErrorProperties

Cloud error object properties.

CloudError

Cloud error object.

Name Type Description
error

CloudErrorProperties

Cloud error object properties.

CloudErrorProperties

Cloud error object properties.

Name Type Description
code

string

Error code

message

string

Error message indicating why the operation failed.